%define version	1.0
%define release	3plf

Summary: Viagenie's TSP Client
Name: freenet6
Version: %{version}
Release: %{release}
License: VPL 1.0
Group: System/Servers
URL: http://www.freenet6.net/
# need to download it with a web browser
Source0: http://www.freenet6.net/freenet6-client-%{version}.tar.bz2
Source1: freenet6.init.bz2
Patch0: freenet6-mk-linux.mk.patch.bz2
Patch1: freenet6-Makefile.patch.bz2
Patch2: freenet6-radvd.patch.bz2
Buildrequires: perl
Requires: radvd >= 0.6.2
Requires: net-tools >= 1.60
Requires: iproute2 >= 2.2.4
PreReq: rpm-helper
BuildRoot: %{_tmppath}/%{name}-root

%description
FREENET6's TSP is a new initiative launched by Viagenie, a private company
in Canada involved in IPv6 since 1996, to facilitate a faster deployment
of an IPv6 Internet. The Internet is deployed worldwide over IPv4 so this
project's goal is large scale deployment of IPv6 by using configured
tunnels.

Configured tunneling is a transition method standardized by IETF to use
IPv6 in coexistence with IPv4 by encapsulating IPv6 packets over IPv4. Any
host already connected to Internet with IPv4 which has an IPv6 stack can
establish a link to the Internet IPv6.

Freenet6, developed by Viagenie in 1999/2000, was the first public tunnel
server service and one of the most used in the world to automatically
delegate one single IPv6 address to any host already connected to an IPv4
network over configured tunnel simply by filling a web form and running a
script. FREENET6's TSP represents another very important step to
accelerate the large scale deployment of IPv6 to everyone on the net.

Instead of a web interface to request configured tunnels and IPv6
addresses, FREENET6's TSP is a new model based on a client/server
approach. A protocol is used to request a single IPv6 address to a full
IPv6 prefix from a clien to a tunnel server according to the IPv6 broker
model. The protocol could be integrated directly into the operating system
to provide a service like DHCP but for requesting IPv6 addresses or
prefixes over an IPv4 network (Internet).

This package is part of PLF as it is released under 
the Hexago Public License 1.0.

%prep
%setup -q -n %{name}-client-%{version}
%patch0 -p0
%patch1 -p0
%patch2 -p0

%build
# %%{make} isn't going to cut it
%{__make} all \
	CFLAGS="$RPM_OPT_FLAGS" \
	target=linux \
	installdir=%{_datadir}/tsp \
	install_man=$RPM_BUILD_ROOT%{_mandir}

%install

rm -rf $RPM_BUILD_ROOT
# %%{make_install} isn't going to cut it
%{__make} install \
	target=linux \
	installdir=$RPM_BUILD_ROOT%{_datadir}/tsp \
	install_man=$RPM_BUILD_ROOT%{_mandir}

# install initscript
install -d $RPM_BUILD_ROOT%{_initrddir}
bzcat %{SOURCE1} > $RPM_BUILD_ROOT%{_sysconfdir}/rc.d/init.d/freenet6

# install tsp client to the right place
install -d $RPM_BUILD_ROOT%{_sbindir}
mv -f $RPM_BUILD_ROOT%{_datadir}/tsp/bin/tspc $RPM_BUILD_ROOT%{_sbindir}/tspc

# install tsp config to the right place
install -d $RPM_BUILD_ROOT%{_sysconfdir}
mv -f $RPM_BUILD_ROOT%{_datadir}/tsp/bin/tspc.conf $RPM_BUILD_ROOT%{_sysconfdir}/tspc.conf
perl -pi -e 's#%{buildroot}##' $RPM_BUILD_ROOT%{_sysconfdir}/tspc.conf

perl -pi -e 's#/usr/local/tsp##' $RPM_BUILD_ROOT%{_mandir}/man8/tspc.8
perl -pi -e 's#/usr/local#/usr/share#' $RPM_BUILD_ROOT%{_mandir}/man5/tspc.conf.5
perl -pi -e 's#/install/dir/bin#/etc#g' $RPM_BUILD_ROOT%{_mandir}/man5/tspc.conf.5

# fix permissions, ugh
chmod 0644 README LEGAL CONTRIB.txt UPDATES

%post
%_post_service %{name}

%preun
%_preun_service %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-, root, root)
%doc %attr(-,root,root) README LEGAL CONTRIB.txt UPDATES
%attr(0755,root,root) %{_sbindir}/tspc
%attr(0644,root,root) %config(noreplace) %verify(not size mtime md5) %{_sysconfdir}/tspc.conf
%attr(0755,root,root) %{_datadir}/tsp/
%attr(0644,root,root) %{_mandir}/man5/tspc.conf.5*
%attr(0644,root,root) %{_mandir}/man8/tspc.8*
%attr(0755,root,root) %config(noreplace) %verify(not size mtime md5) %{_initrddir}/freenet6

%changelog
* Sat Sep 25 2004 Michael Scherer <misc@zarb.org> 1.0-3plf
- fix rpmlint
 
* Sun Oct 05 2003 Michael Scherer <scherer.michael@free.fr> 1.0-2plf
- correct man pages
- correct initscript
- removed unused patch
 
* Sun Oct 05 2003 Michael Scherer <scherer.michael@free.fr> 1.0-1plf 
- fix default config files
- 1.0

* Sat Aug 30 2003 Michael Scherer <scherer.michael@free.fr> 0.9.9-1plf 
- [DIRM]
- 0.9.9
- Regenerate patch #3
- PLF reason in %%description

* Fri Oct 11 2002 David Walluck <david@anti-microsoft.org> 0.9.6-1plf
- release
